var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html, css, property, customElement } from 'lit-element';
let KaiActionButton = class KaiActionButton extends LitElement {
    render() {
        return html `
      <div class="container ${this.active ? 'active' : ''}">
        <slot name="icon"></slot>
        <slot name="title"></slot>
      </div>
    `;
    }
    static get styles() {
        return css `
      .container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: var(--gs-00);
        opacity: 0.3;
      }
      .active {
        color: var(--gs-00);
        opacity: 1;
      }
    `;
    }
};
__decorate([
    property({ type: Boolean })
], KaiActionButton.prototype, "active", void 0);
KaiActionButton = __decorate([
    customElement('kai-action-button')
], KaiActionButton);
export { KaiActionButton };
//# sourceMappingURL=kai-action-button.js.map