import { LitElement } from 'lit-element';
import './kai-icon';
import './kai-text';
export declare class KaiInput extends LitElement {
    value: string;
    maxLength: number;
    inFocus: boolean;
    type: string;
    placeholder: string;
    label: string;
    autofocus: boolean;
    error: string;
    static readonly styles: import("lit-element").CSSResult;
    constructor();
    clear(): void;
    customEvent(type: string, value: string): CustomEvent<KaiInputEventDetail>;
    handleChange(e: any): void;
    handleFocus({ type, target }: FocusEvent): void;
    firstUpdated(): void;
    render(): import("lit-element").TemplateResult;
}
