var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement, LitElement, css, html } from "lit-element";
import './kai-text';
let KaiSeparator = class KaiSeparator extends LitElement {
    static get styles() {
        return css `
      :host {
        display: flex;
        flex-direction: row;
        width: calc(100% - 40px);
        margin: 2px 20px;
        justify-content: flex-start;
        color: var(--theme-color-dark);
      }
    `;
    }
    render() {
        return html `<kai-text as="h5"><slot></slot></kai-text>`;
    }
};
KaiSeparator = __decorate([
    customElement('kai-separator')
], KaiSeparator);
export { KaiSeparator };
//# sourceMappingURL=kai-separator.js.map