var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, customElement, html, LitElement } from 'lit-element';
let KaiActionBar = class KaiActionBar extends LitElement {
    render() {
        return html `
      <slot></slot>
    `;
    }
    static get styles() {
        return css `
      :host {
        position: sticky;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 70px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        background-color: var(--gs-100);
        padding: 0 15px;
        box-sizing: border-box;
        overflow: hidden;
        animation: slideIn 0.3s cubic-bezier(0, 0, 0.25, 1) forwards;
      }

      :host::slotted(*) {
        min-width: 25%;
      }

      @keyframes slideIn {
        0% {
          transform: translateY(70px);
          opacity: 0;
        }
        50% {
          opacity: 1;
        }
        100% {
          transform: translateY(0);
          opacity: 1;
        }
      }
    `;
    }
};
KaiActionBar = __decorate([
    customElement('kai-actionbar')
], KaiActionBar);
export { KaiActionBar };
//# sourceMappingURL=kaios-touch-actionbar.js.map