import { LitElement } from 'lit-element';
export declare class AppRouter extends LitElement {
    home: HistoryEntry;
    reverse: boolean;
    exiting: string;
    entering: string;
    history: HistoryEntry[];
    static readonly styles: import("lit-element").CSSResult;
    constructor();
    handleBackPage: (e: BackPageEvent) => void;
    handleChangePage: (e: ChangePageEvent | ReplacePageEvent) => void;
    mountPage(route: HistoryEntry): HTMLElement;
    applyProps(page: Element, props: object): void;
    findPage(id: string): HTMLElement;
    closePage(page: Element): void;
    openPage(page: Element): void;
    slideIn(page: Element): Animation;
    fadeIn(page: Element): Animation;
    fadeOut(page: Element): Animation;
    slideOut(page: Element): Animation;
    firstUpdated(): void;
    updated(changes: Map<string, any>): void;
    render(): import("lit-element").TemplateResult;
}
