var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, customElement, html, LitElement, property } from 'lit-element';
let KaiIcon = class KaiIcon extends LitElement {
    constructor() {
        super(...arguments);
        this.size = 24;
    }
    static get styles() {
        return css `
      :host {
        display: inline-block;
        font-family: "gaia-icons";
        font-weight: 400;
        font-style: normal;
        font-size: 2.4rem;
        text-decoration: inherit;
        text-transform: none;
        text-rendering: optimizeLegibility;
        -webkit-font-smoothing: antialiased;
        text-align: center;
        line-height: 1em;
        width: 1em;
        height: 1em;
        
        /* Enable Ligatures ================ */
        letter-spacing: 0;
        -webkit-font-feature-settings: "liga";
        -moz-font-feature-settings: "liga=1";
        -moz-font-feature-settings: "liga";
        font-feature-settings: "liga";
        -webkit-font-variant-ligatures: discretionary-ligatures;
        font-variant-ligatures: discretionary-ligatures;
      }

      :host([size='32']) {
        font-size: 3.2rem;
      }
    `;
    }
    render() {
        return html `<slot></slot>`;
    }
};
__decorate([
    property({ type: Number })
], KaiIcon.prototype, "size", void 0);
KaiIcon = __decorate([
    customElement('kai-icon')
], KaiIcon);
export { KaiIcon };
//# sourceMappingURL=kai-icon.js.map