var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement, LitElement, css, html } from 'lit-element';
import './kai-text';
let KaiLoader = class KaiLoader extends LitElement {
    static get styles() {
        return css `
      :host {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
      }
    `;
    }
    render() {
        return html `
      <img alt="loading" src="assets/images/loader.png" />
      <kai-text as="sub-1">
        <slot></slot>
      </kai-text>
    `;
    }
};
KaiLoader = __decorate([
    customElement('kai-loader')
], KaiLoader);
export { KaiLoader };
//# sourceMappingURL=kai-loader.js.map