var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, LitElement, property } from 'lit-element';
export class KaiModal extends LitElement {
    static get styles() {
        return [
            css `
        :host {
          display: flex;
          flex-direction: column;
          width: calc(var(--baseline) * 30);
          max-height: 100%;
          outline: none;
        }

        .modal-title {
          width: 100%;
          height: 3.2rem;
          padding: 0 2rem;
          text-align: center;
          overflow: hidden;
          white-space: nowrap;
          margin-bottom: 1.2rem;
          font-size: 2.2rem;
        }

        .modal-content {
          display: flex;
          flex-direction: column;
          align-items: center;
          width: 100%;
          margin-bottom: 3rem;
          border-radius: 3rem;
          border: solid 0.2rem var(--gs-80);
          padding: 2.5rem 2rem;
          overflow-y: auto;
          background-color: var(--gs-00);
          color: var(--gs-100);
        }

        .modal-actions {
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: center;
          width: 100%;
        }

        .modal-actions ::slotted(kai-button:first-of-type:not(:only-of-type)) {
          margin-right: 2rem;
        }
      `,
        ];
    }
    onDone() { }
    onCancel() { }
}
__decorate([
    property({ type: String, attribute: 'modal-title' })
], KaiModal.prototype, "modalTitle", void 0);
__decorate([
    property({ type: String, attribute: 'cancel-label' })
], KaiModal.prototype, "cancelLabel", void 0);
__decorate([
    property({ type: String, attribute: 'done-label' })
], KaiModal.prototype, "doneLabel", void 0);
//# sourceMappingURL=kai-modal.js.map