var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement, LitElement, css, html, property } from 'lit-element';
let KaiPanel = class KaiPanel extends LitElement {
    constructor() {
        super(...arguments);
        this.currentScrollTop = 0;
    }
    static get styles() {
        return css `
      :host {
        display: inline-block;
        width: 100%;
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
      }

      :host(:not([wait])) {
        animation: fadeIn 0.3s forwards;
      }

      @keyframes fadeIn {
        from {
          opacity: 0;
        }
        to {
          opacity: 1;
        }
      }
    `;
    }
    render() {
        return html `
      <slot></slot>
    `;
    }
};
__decorate([
    property({ type: Number, attribute: false })
], KaiPanel.prototype, "currentScrollTop", void 0);
KaiPanel = __decorate([
    customElement('kai-panel')
], KaiPanel);
export { KaiPanel };
//# sourceMappingURL=kai-panel.js.map